---
# Warning: gitlab.Uppercase
#
# Checks for use of all uppercase letters with unknown reason.
#
# For a list of all options, see https://docs.errata.ai/vale/styles.
extends: conditional
message: "'%s' is uppercase. Use lowercase or `backticks` if possible. Otherwise add this word to the rule's exception list."
link: https://docs.gitlab.com/ee/development/documentation/testing.html#vale-uppercase-acronym-test
level: warning
ignorecase: false
# Ensures that the existence of 'first' implies the existence of 'second'.
first: '\b([A-Z]{3,5})\b'
second: '(?:\b[A-Z][a-z]+ )+\(([A-Z]{3,5})\)'
# ... with the exception of these:
exceptions:
  - AJAX
  - ANSI
  - APAC
  - API
  - APM
  - ARM
  - ARN
  - ASCII
  - AWS
  - BMP
  - BSD
  - CAS
  - CDN
  - CGI
  - CIDR
  - CLI
  - CNA
  - CNCF
  - CORE
  - CORS
  - CPU
  - CRIME
  - CRM
  - CRUD
  - CSRF
  - CSS
  - CSV
  - CTE
  - CWE
  - CVE
  - CVS
  - CVSS
  - DAG
  - DAST
  - DDL
  - DHCP
  - DML
  - DNS
  - DOM
  - DSA
  - DSL
  - DVCS
  - DVD
  - ECDSA
  - ECS
  - EFS
  - EKS
  - ELB
  - EOL
  - EWM
  - EXIF
  - FAQ
  - FIDO
  - FIFO
  - FIPS
  - FLAG
  - FOSS
  - FQDN
  - FREE
  - FTP
  - GCP
  - GDK
  - GDPR
  - GET
  - GID
  - GIF
  - GKE
  - GLFM
  - GNU
  - GPG
  - GPL
  - GPS
  - GPU
  - GUI
  - HAML
  - HDD
  - HEAD
  - HIPAA
  - HLL
  - HSTS
  - HTML
  - HTTP
  - HTTPS
  - IAM
  - IANA
  - IBM
  - ICO
  - IDE
  - IID
  - IIS
  - IMAP
  - IOPS
  - IRC
  - ISO
  - JPEG
  - JPG
  - JSON
  - JVM
  - JWT
  - KICS
  - LAN
  - LDAP
  - LDAPS
  - LESS
  - LFS
  - LRU
  - LSIF
  - LTM
  - LTS
  - MIME
  - MIT
  - MITRE
  - MVC
  - NAT
  - NDA
  - NFS
  - NGINX
  - NOTE
  - NPM
  - NTP
  - OKD
  - ONLY
  - OSS
  - OTP
  - OWASP
  - PAT
  - PCI-DSS
  - PDF
  - PEM
  - PEP
  - PGP
  - PHP
  - PID
  - PKCS
  - PNG
  - POSIX
  - POST
  - PROXY
  - PUT
  - QPS
  - RAID
  - RAM
  - RBAC
  - RDP
  - RDS
  - RDS
  - REST
  - RFC
  - RHEL
  - RPC
  - RPM
  - RPS
  - RSA
  - RSS
  - RTC
  - RVM
  - SAAS
  - SAML
  - SAN
  - SAST
  - SATA
  - SBOM
  - SCIM
  - SCM
  - SCP
  - SCSS
  - SDK
  - SELF
  - SEO
  - SFTP
  - SHA
  - SKI
  - SLA
  - SLI
  - SLO
  - SMS
  - SMTP
  - SOAP
  - SOC
  - SOX
  - SPDX
  - SPDY
  - SPF
  - SQL
  - SRE
  - SSD
  - SSG
  - SSH
  - SSL
  - SSO
  - STI
  - SUSE
  - SVG
  - SVN
  - TCP
  - TIFF
  - TIP
  - TLD
  - TLS
  - TODO
  - TOML
  - TOTP
  - TPS
  - TTL
  - UBI
  - UDP
  - UID
  - UID
  - UNIX
  - URI
  - URL
  - USB
  - UTC
  - UTF
  - UUID
  - VCS
  - VPC
  - VPN
  - WEBP
  - WIP
  - WSL
  - XML
  - XSS
  - YAML
  - ZAP
  - ZIP
